Create Profile
POST /profiles/create
Creates a profile request
The endpoint creates a Profile object
Request Body
platform_program_id
string
REQUIRED
The ID of the Platform Program the new profile will join.
Example value: plp_8555fd61-d666-480f-bc95-4d1d752fb000
type
string
REQUIRED
The type of profile to create.
Example value: MERCHANT
name
string
REQUIRED
The public name of the business.
Example value: Cafe Novo
legal_name
string
REQUIRED
The registered legal name of the business.
Example value: Cafe Novo Inc.
local_id
string
REQUIRED
The tax or identity number of the business, as issued in its country.
Example value: 1234567890
local_id_type
enum
REQUIRED
The type of the identifier sent in local_id.
Allowed values: DRIVERS_LICENSE, FOREIGN_DRIVERS_LICENSE, TAXPAYER_ID,
NATIONAL_IDENTITY_CARD, PASSPORT, FOREIGN_ID, FOREIGN_TAXPAYER_ID,
MX_RFC, CL_RUT, PE_RUC, OTHER
Example value: TAXPAYER_ID
primary_category
enum
REQUIRED
The main category of the business.
Allowed values: AGRICULTURE_AND_LIVESTOCK, BEAUTY_AND_PERSONAL_CARE, CASUAL_USE,
CHARITIES_AND_NON_PROFIT, CLUBS_AND_MEMBERSHIPS, EDUCATION,
FINANCIAL_AND_INSURANCE_SERVICES,FOOD_AND_DRINK,
GOVERNMENT_AND_PUBLIC_SERVICES, HEALTH_CARE_AND_FITNESS,
HOME_AND_REPAIR, LEISURE_AND_ENTERTAINMENT,
MANUFACTURING, MINERAL_EXPLOITATION,
OTHER, PROFESSIONAL_SERVICES, RETAIL,
TECHNOLOGY, TELECOMMUNICATIONS, TRANSPORTATION
Example value: FINANCIAL_AND_INSURANCE_SERVICES
secondary_category
string
A more specific category within the primary_category.
Example value: INSURANCE
website
string
REQUIRED
The business website. Must be a valid URL.
Example value: https://cafenovo.com
default_currency
string
REQUIRED
The default currency of the profile, in ISO 4217 format.
Example value: USD
size
string
REQUIRED
The size of the business, as its number of employees.
Check out list of Institutions here.
primary_representative
object
REQUIRED
The main person who represents the business.
primary_representative.first_name
string
REQUIRED
Example value: Amy
primary_representative.last_name
string
REQUIRED
Example value: Smith
primary_representative.job_title
string
REQUIRED
Example value: CEO
primary_representative.email
string
REQUIRED
Example value: amy.smith@cafenovo.com
primary_representative.phone
object
REQUIRED
The phone number of the representative.
primary_representative.phone.country_code
integer
REQUIRED
The international dialing code, without the + sign.
Example value: 1
primary_representative.phone.number
integer
REQUIRED
The phone number, without the country code.
Example value: 1234567890
deposit_account
object
The bank account where the profile receives its deposits. Some programs require it; if yours does and it is missing, the request is rejected.
deposit_account.institution_id
string
The UUID of the financial institution that holds the account.
Example value: ins_ff6c5094-1cd1-11ec-9621-0242ac130002
Check out list of Institutions here.
deposit_account.account_number
string
The account’s number.
Example value: 400326054
subtype
string
The subtype of account. Provides further detail about the type of account.
Example value: SAVINGS
Check out list of Account Subtypes here.
registered_address
object
REQUIRED
The legal address of the business.
registered_address.recipient_name
string
The name of the person the correspondence is addressed to.
Example value: Amy Smith
registered_address.recipient_organization
string
The organization the correspondence is addressed to.
Example value: Cafe Novo
registered_address.line_1
string
REQUIRED
Street name and number.
Example value: 456 Example Avenue
registered_address.line_2
string
Apartment, suite or unit.
Example value: Suite 800
registered_address.line_3
string
Additional address information.
registered_address.locality
string
REQUIRED
The city or town.
Example value: San Francisco
registered_address.administrative_district
string
REQUIRED
The state, province or region.
Example value: California
registered_address.administrative_district_code
string
The code of the state, province or region.
Example value: CA
registered_address.administrative_district_2
string
The second-level administrative division, such as a county.
Example value: San Francisco County
registered_address.postal_code
string
REQUIRED
Example value: 110111
registered_address.country
string
REQUIRED
The country, as an ISO 3166 alpha-3 code.
Example value: USA
public_contact_information
object
The contact details shown publicly for the business.
public_contact_information.support_email
string
Example value: support@cafenovo.com
public_contact_information.support_phone
object
The support phone number.
public_contact_information.support_phone.country_code
integer
The international dialing code, without the + sign.
Example value: 1
public_contact_information.support_phone.number
integer
The phone number, without the country code.
Example value: 1234567890
attestations
object
Proof that the business accepted DRUO’s legal agreements.
attestations.terms_of_service
object
Acceptance of the Terms of Service.
attestations.terms_of_service.accepted
boolean
REQUIRED
Whether the business accepted the Terms of Service.
Example value: true
attestations.terms_of_service.date
timestamp
REQUIRED
When the Terms of Service were accepted, in ISO 8601 UTC format.
Example value: 2026-12-20T10:51:32Z
attestations.terms_of_service.ip
string
The IP address from which the Terms of Service were accepted.
Example value: 1.1.1.1
attestations.terms_of_service.user_agent
string
The user agent of the browser or app used to accept the Terms of Service.
Example value: Mozilla/5.0 (Windows NT 10.0; Win64; x64)
AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36
attestations.terms_of_service.url
string
The URL of the page where the Terms of Service were accepted.
Example value: https://cafenovo.com/sign-up
attestations.privacy_policy
object
Acceptance of the Privacy Policy.
attestations.privacy_policy.accepted
boolean
REQUIRED
Whether the business accepted the Privacy Policy.
Example value: true
attestations.privacy_policy.date
timestamp
REQUIRED
When the Privacy Policy were accepted, in ISO 8601 UTC format.
Example value: 2026-12-20T10:51:32Z
attestations.privacy_policy.ip
string
The IP address from which the Privacy Policy were accepted.
Example value: 1.1.1.1
attestations.privacy_policy.user_agent
string
The user agent of the browser or app used to accept the Privacy Policy.
Example value: Mozilla/5.0 (Windows NT 10.0; Win64; x64)
AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36
attestations.privacy_policy.url
string
The URL of the page where the Privacy Policy were accepted.
Example value: https://cafenovo.com/sign-up
curl --location 'https://api.druo.com/profiles/create' \
--header 'DRUO-Version: 2021-11-22' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN' \
--data '{
"platform_program_id": "plp_8555fd61-d666-480f-bc95-4d1d752fb000",
"type": "MERCHANT",
"name": "Cafe Novo",
"legal_name": "Cafe Novo Inc.",
"local_id": "1234567890",
"local_id_type": "TAXPAYER_ID",
"primary_category": "FINANCIAL_AND_INSURANCE_SERVICES",
"secondary_category": "INSURANCE",
"website": "https://cafenovo.com",
"default_currency": "USD",
"primary_representative": {
"first_name": "Amy",
"last_name": "Smith",
"job_title": "CEO",
"email": "amy.smith@cafenovo.com",
"phone": {
"country_code": 1,
"number": 1234567890
}
},
"deposit_account": {
"institution_id": "ins_e42460a8-c783-4bc3-8dcd-2e6fcab78b77",
"account_number": "1234567890",
"subtype": "CHECKING"
},
"registered_address": {
"recipient_name": "Amy Smith",
"recipient_organization": "Cafe Novo",
"line_1": "456 Example Avenue",
"line_2": "Suite 800",
"line_3": "",
"locality": "San Francisco",
"administrative_district": "California",
"administrative_district_code": "CA",
"administrative_district_2": "San Francisco County",
"postal_code": "110111",
"country": "USA"
},
"public_contact_information": {
"support_email": "support@cafenovo.com",
"support_phone": {
"country_code": 1,
"number": 1234567890
}
},
"attestations": {
"terms_of_service": {
"accepted": true,
"date": "2026-12-20T10:51:32Z",
"ip": "1.1.1.1",
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36",
"url": "https://cafenovo.com/sign-up"
},
"privacy_policy": {
"accepted": true,
"date": "2026-12-20T10:51:32Z",
"ip": "1.1.1.1",
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/130.0.0.0 Safari/537.36",
"url": "https://cafenovo.com/sign-up"
}
}
}'
Response Fields
uuid
string
The Profile’s UUID.
Example value: pro_f4ac8520-3de3-40d6-9059-a5da34f34123
code
string
The Profile’s code.
Example value: PRLX6CATF123
global_status
string
The Profile’s status.
Example value: CREATED
Other values: CREATED, WAITLISTED, ONBOARDING, REJECTED, ACTIVE, RESTRICTED, SUSPENDED, TERMINATED, DEACTIVATED, DELETED
platform_program_id
string
The ID of the Platform Program the profile belongs to.
Example value: plp_8555fd61-d666-480f-bc95-4d1d752fb000
type
string
The type of the Profile.
Example value: MERCHANT
name
string
The public name of the business.
Example value: Cafe Novo
website
string
The business website.
Example value: https://cafenovo.com
country
string
The country of the business, as an ISO 3166 alpha-3 code.
Example value: USA
primary_category
string
The main category of the business.
Example value: FINANCIAL_AND_INSURANCE_SERVICES
secondary_category
string
The specific category within the primary_category.
Example value: INSURANCE
default_currency
string
The default currency of the profile, in ISO 4217 format.
Example value: USD
environments
object
The environments in which the profile operates. Each one has its own merchant.
Example value:
"environments": [
{
"merchant_id": "mer_03c9ecb2-5d67-47d0-88e5-0728ff2f1234",
"merchant_code": "MF3A7TJ1234",
"environment": "PRODUCTION"
}
]
creation_source
string
The creation source of the Transaction.
Example value: MERCHANT_API
date_created_gmt
string
Profile created date
Example value: 2026-11-10T21:34:23.081Z
date_updated_gmt
string
Profile updated date
Example value: 2026-11-10T21:34:23.081Z
{
"profile": {
"uuid": "pro_f4ac8520-3de3-40d6-9059-a5da34f34123",
"code": "PRLX6CATFD6R",
"global_status": "CREATED",
"platform_program_id": "plp_8555fd61-d666-480f-bc95-4d1d752fb000",
"type": "MERCHANT",
"name": "Cafe Novo",
"website": "https://cafenovo.com",
"country": "USA",
"primary_category": "FINANCIAL_SERVICES",
"secondary_category": "INSURANCE",
"default_currency": "USD",
"environments": [
{
"merchant_id": "mer_03c9ecb2-5d67-47d0-88e5-0728ff2f1234",
"merchant_code": "MF3A7TJ1234",
"environment": "PRODUCTION"
}
],
"creation_source": "MERCHANT_API",
"date_created_gmt": "2026-11-10T21:34:23.081Z",
"date_updated_gmt": "2026-11-10T21:34:23.081Z"
}
}